git add *

read -p "Commit message: " commit_message

git commit -m "$commit_message"

current_tag=$(git describe --abbrev=0 --tags)
IFS='.' read -ra tag_parts <<< "$current_tag"
major="${tag_parts[0]}"
minor="${tag_parts[1]}"
patch="${tag_parts[2]}"
patch=$((patch + 1))
new_tag="$major.$minor.$patch"

git tag "$new_tag"

git push -u origin main
git push --tags